package aule;

import java.io.*;

public class SC40
{
	Sedia[] posti;
	int quanti;

	public SC40()
	{
		quanti = 0;
		posti = new Sedia[40];
		int i = 0;
		for(i=0;i<posti.length;i++)
		{
			posti[i] = new Sedia();
		}
	}

	public boolean entra(String studente)
	{
		int i = 0;
		for(i=0;i<40;i++)
		{
			if(posti[i].occupa(studente))
			{
				System.out.println("Lo studente " + studente + " trova posto");
				quanti++;
				return true;
			}
		}
		System.out.println("Lo studente " + studente + " non trova posto");
		return false;
	}

	public boolean esce(String studente)
	{
		int i = 0;
		for(i=0;i<40;i++)
		{
			if(posti[i].libera(studente))
			{
				System.out.println("Lo studente " + studente + " ha liberato il suo posto");
				quanti--;
				return true;
			}
		}
		System.out.println("Lo studente " + studente + " non era in aula");
		return false;
	}

	public static void main(String[] argv) throws Exception
	{
		SC40 sc40 = new SC40();
		int i = 0;
		/*
		for(i = 0; i < argv.length; i++)
		{
			sc40.entra(argv[i]);
		}
		*/

		BufferedReader br = new BufferedReader(new InputStreamReader(System.in));
		while(true)
		{
			System.out.print("Nome studente (vuoto per uscire) ? > ");
			String line = br.readLine();
			if(line == null || line.equals(""))
			{
				break;
			}
			sc40.entra(line);
		}

		int j = 0;
		System.out.println("Ingresso completato");
		String[] studenti = new String[sc40.quanti];
		for(i=0;j<sc40.quanti;i++)
		{
			studenti[i] = sc40.posti[i].chi;
			if(studenti[i] != null)
			{
				j++;
			}
		}
		//while(sc40.quanti > 0)
		for(; sc40.quanti > 0; )
		{
			sc40.esce(studenti[sc40.quanti-1]);
		}
	}
}
