package cinema;

import java.io.*;

public class UnaProiezione
{
	public static void main(String[] argv) throws Exception
	{
		BufferedReader stdin = new BufferedReader(new InputStreamReader(System.in));
		SalaCinema sala = new SalaCinema(Integer.parseInt(argv[0]));

		while(true)
		{
			System.out.print("Prenota/Cancella/Liberi/Cerca/Stato/Esci ? > ");
			String line = stdin.readLine();

			if(line == null || line.equals("Esci"))
			{
				System.out.println("Ciao ciao");
				break;
			}
			else if(line.equals("Stato"))
			{
				System.out.println(sala.toString());
			}
			else if(line.equals("Prenota"))
			{
				System.out.print("Prenotante ? > ");
				line = stdin.readLine();
				int retval = sala.prenota(line);
				switch(retval)
				{
					case -1:
						System.out.println("Sala piena");
						break;
					case -2:
						System.out.println("Esiste gia' una prenotazione a nome " + line);
						break;
					case -1000:
						System.out.println("AIUTO! Non deve accadere!");
						break;
					default:
						System.out.println("Prenotato posto " + retval + " a nome " + line);
				}
			}
			else if(line.equals("Cancella"))
			{
				System.out.print("Prenotato ? > ");
				line = stdin.readLine();
				if(sala.cancella(line))
				{
					System.out.println("Prenotazione a nome " + line + " cancellata");
				}
				else
				{
					System.out.println("Prenotazione a nome " + line + " non trovata");
				}
			}
			else if(line.equals("Liberi"))
			{
				System.out.println("In sala ci sono " + sala.postiLiberi() + " posti liberi");
			}
			else if(line.equals("Cerca"))
			{
				System.out.print("Prenotato ? > ");
				line = stdin.readLine();
				int retval = sala.esistePrenotazione(line);
				if(retval == -1)
				{
					System.out.println("Non esiste una prenotazione a nome " + line);
				}
				else
				{
					System.out.println("Il signor " + line + " ha prenotato il posto N. " + retval);
				}
			}
			else
			{
				System.out.println("Comando <" + line + "> non noto");
			}
		}
	}
}
